
public class ReserveRoomHandler
{
	//private static 

	public static void makeReservation(Room theRoom, Person theCustomer) throws NoRoomException
	{
		if(theRoom.isAvailable() == false) {
			System.out.println("theRoom.isAvailable() == false");
			throw new NoRoomException();
		} else if(!(theCustomer instanceof Customer)) {
			//throw new NotACustomerException();
		}
		//theRoom.reserve();
		//Reservation.class._getMethod("test", "test2");
		new Reservation(theRoom, theCustomer);
		System.out.println("Creating reservation");
		//createReservation(theRoom, theCustomer);
		GUI.setInfoMessage("Succesfully reserved room.");
	}
	
	
	/*private void createReservation(Room theRoom, Customer theCustomer)
	{
		
	}*/
	
}
